---
title: MediaStreamTrackEvent
slug: Web/API/MediaStreamTrackEvent
tags:
  - API
  - Event
  - Interface
  - Media
  - Media Streams API
  - MediaStreamTrackEvent
  - Reference
  - Streams
  - track
---
<div>{{APIRef("Media Streams API")}}</div>

<p>The <strong><code>MediaStreamTrackEvent</code></strong> interface represents events which indicate that a {{domxref("MediaStream")}} has had tracks added to or removed from the stream through calls to <a href="/en-US/docs/Web/API/Media_Streams_API">Media Stream API</a> methods. These events are sent to the stream when these changes occur.</p>

<p>{{InheritanceDiagram}}</p>

<p>The events based on this interface are {{event("addtrack")}} and {{event("removetrack")}}</p>

<h2 id="Properties">Properties</h2>

<p><em>Also inherits properties from its parent interface, {{domxref("Event")}}.</em></p>

<dl>
 <dt><code>track</code> {{ReadOnlyInline}}</dt>
 <dd>A {{domxref("MediaStreamTrack")}} object representing the track which was added to the stream.</dd>
</dl>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("MediaStreamTrackEvent.MediaStreamTrackEvent", "MediaStreamTrackEvent()")}}</dt>
 <dd>Constructs a new <code>MediaStreamTrackEvent</code> with the specified configuration.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Also inherits methods from its parent {{domxref("Event")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Media Capture', '#mediastreamtrackevent', 'MediaStreamTrackEvent') }}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamTrackEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("addtrack")}} and {{event("removetrack")}} events</li>
 <li>{{domxref("MediaStream")}}: {{domxref("MediaStream.onaddtrack", "onaddtrack")}} and {{domxref("MediaStream.onremovetrack", "onremovetrack")}}</li>
 <li>{{domxref("MediaStreamTrack")}}</li>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Streams API</a></li>
</ul>
